`lqr_carver_get_enl_step`
Prev | Carver objects | Next

## Name

lqr_carver_get_enl_step — get the enlargement step of a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`gfloat lqr_carver_get_enl_step(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_get_enl_step` returns the enlargement step of the `LqrCarver` object pointed to by `carver`, i.e. the maximum enlargement allowed in a single step for that carver, expressed as the ratio with respect to its reference width (for horizontal rescalings) or height (for vertical rescalings). The returned value is strictly greater than 1 and less than 2.

## See also

`lqr_carver_get_width`(3), `lqr_carver_get_height`(3), `lqr_carver_get_ref_width`(3), `lqr_carver_get_ref_height`(3), `lqr_carver_get_channels`(3), `lqr_carver_get_col_depth`(3), `lqr_carver_set_enl_step`(3), `lqr_carver_resize`(3), `lqr_carver_get_orientation`(3)

Prev | Up | Next
`lqr_carver_get_image_type` | Home | `lqr_carver_get_orientation`